Package ru.bitel.bgbilling.modules.pscb.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.pscb.server.bean.Constants

    public class Constants
    extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `KEY_PSCB_DETAILS` |
  `static java.lang.String` | `KEY_PSCB_FAIL_URL` | адрес, куда будет перенаправлен абонент в случае ошибки
  `static java.lang.String` | `KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE` |
  `static java.lang.String` | `KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED` |
  `static java.lang.String` | `KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_TITLE` |
  `static java.lang.String` | `KEY_PSCB_MERCHANT_ID` | Идентификатор провайдера в pscb
  `static java.lang.String` | `KEY_PSCB_ORDER_ID_FORMAT` | формат строки, которая будет отправлена в сервис pscb как идентификатор платежа на стороне биллинга.
  `static java.lang.String` | `KEY_PSCB_PAYMENT_COMMENT` | комментарий платежа
  `static java.lang.String` | `KEY_PSCB_PAYMENT_TYPE_ID` | код типа платежа из справочника
  `static java.lang.String` | `KEY_PSCB_SECRET_KEY` | пароль провайдера
  `static java.lang.String` | `KEY_PSCB_SERVER_URL` | URL сервера сервиса pscb.
  `static java.lang.String` | `KEY_PSCB_SUCCESS_URL` | URL, куда будет перенаправлен абонент после оплаты
  `static java.lang.String` | `KEY_PSCB_SUM_MAX` |
  `static java.lang.String` | `KEY_PSCB_SUM_MIN` |
  `static java.lang.String` | `PSCB_DETAILS` |
  `static java.lang.String` | `PSCB_PAYMENT_COMMENT` |
  `static int` | `PSCB_SUM_MAX` |
  `static int` | `PSCB_SUM_MIN` |

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Constants()` |

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PSCB_SUM_MIN

    public static final int PSCB_SUM_MIN
    See Also:
      Constant Field Values

  - ### PSCB_SUM_MAX

    public static final int PSCB_SUM_MAX
    See Also:
      Constant Field Values

  - ### PSCB_DETAILS

    public static final java.lang.String PSCB_DETAILS
    See Also:
      Constant Field Values

  - ### PSCB_PAYMENT_COMMENT

    public static final java.lang.String PSCB_PAYMENT_COMMENT
    See Also:
      Constant Field Values

  - ### KEY_PSCB_SUM_MIN

    public static final java.lang.String KEY_PSCB_SUM_MIN
    See Also:
      Constant Field Values

  - ### KEY_PSCB_SUM_MAX

    public static final java.lang.String KEY_PSCB_SUM_MAX
    See Also:
      Constant Field Values

  - ### KEY_PSCB_ORDER_ID_FORMAT

    public static final java.lang.String KEY_PSCB_ORDER_ID_FORMAT
    формат строки, которая будет отправлена в сервис pscb как идентификатор платежа на стороне биллинга.
    See Also:
      Constant Field Values

  - ### KEY_PSCB_PAYMENT_TYPE_ID

    public static final java.lang.String KEY_PSCB_PAYMENT_TYPE_ID
    код типа платежа из справочника
    See Also:
      Constant Field Values

  - ### KEY_PSCB_PAYMENT_COMMENT

    public static final java.lang.String KEY_PSCB_PAYMENT_COMMENT
    комментарий платежа
    See Also:
      Constant Field Values

  - ### KEY_PSCB_FAIL_URL

    public static final java.lang.String KEY_PSCB_FAIL_URL
    адрес, куда будет перенаправлен абонент в случае ошибки
    See Also:
      Constant Field Values

  - ### KEY_PSCB_SUCCESS_URL

    public static final java.lang.String KEY_PSCB_SUCCESS_URL
    URL, куда будет перенаправлен абонент после оплаты
    See Also:
      Constant Field Values

  - ### KEY_PSCB_SECRET_KEY

    public static final java.lang.String KEY_PSCB_SECRET_KEY
    пароль провайдера
    See Also:
      Constant Field Values

  - ### KEY_PSCB_MERCHANT_ID

    public static final java.lang.String KEY_PSCB_MERCHANT_ID
    Идентификатор провайдера в pscb
    See Also:
      Constant Field Values

  - ### KEY_PSCB_SERVER_URL

    public static final java.lang.String KEY_PSCB_SERVER_URL
    URL сервера сервиса pscb. Возможные значения:
    - https://oos.pscb.ru/pay/ (рабочее окружение)
    - https://oosdemo.pscb.ru/pay/ (тестовое окружение)
    See Also:
      Constant Field Values

  - ### KEY_PSCB_DETAILS

    public static final java.lang.String KEY_PSCB_DETAILS
    See Also:
      Constant Field Values

  - ### KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

    public static final java.lang.String KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE
    See Also:
      Constant Field Values

  - ### KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final java.lang.String KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      Constant Field Values

  - ### KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

    public static final java.lang.String KEY_PSCB_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()